<?php declare(strict_types=1);

require './../../vendor/autoload.php';

// import all routes
$router = new \Lidonation\Adapayments\Router();
require app_base_path('src/routes.php');

// get uri and method from current page load request
$uri = parse_url($_SERVER['REQUEST_URI'])['path'];
$method = $_POST['_method'] ?? $_SERVER['REQUEST_METHOD'];

try {
    $router->route($uri, $method);
} catch (Exception $e) {
    abort();
}
