<!DOCTYPE html>
<html class="h-full" lang="en">
    <head>
        <script src="https://cdn.tailwindcss.com"></script>
        <title>Ada Payments <?php echo $appName; ?></title>
    </head>
    <body class="h-full w-full">
        <section class="p-6 w-full h-screen flex justify-center items-center">
            <div class="flex flex-col gap-4 items-center">
                <div>
                    <h1 class="underline font-bold">Configurations</h1>
                    <div>
                        App Name: <?php echo $appName; ?>
                    </div>
                </div>
                <div>
                    <h1 class="underline font-bold">Price Conversions</h1>
                    <div>
                        1 Ada To Usd = <?= ada_to_usd(1) ?>
                    </div>
                    <div>
                        1 Usd To Ada = <?= usd_to_ada(1) ?>
                    </div>
                </div>
                <div class="mt-2 inline-flex items-center ">
                    <a href="/store" type="button" class="inline-flex items-center rounded-md border border-transparent bg-indigo-600 px-4 py-2 text-sm font-medium text-white shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                        Shop
                    </a>
                </div>
            </div>
        </section>
    </body>
</html>