<?php
session_start();
require_once 'items.php';

$id = isset($_GET['id']) ? (int)$_GET['id'] : null;
$selectedItem = null;

if ($id !== null && count($items)) {
    $selectedItems = array_filter($items, fn($t) => $t['id'] == $id);
    $selectedItem = reset($selectedItems);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['add_to_cart'])) {
        $itemExists = false;
        foreach ($_SESSION['cart'] as $item) {
            if ($item['id'] == $selectedItem['id']) {
                $itemExists = true;
                $item['quantity'] = isset($item['quantity']) ? $item['quantity'] + 1 : 1;
                break;
            }
        }

        if (!$itemExists) {
            $itemDetails = [
                'id' => $selectedItem['id'],
                'name' => $selectedItem['name'],
                'price' => $selectedItem['price'],
                'img' => $selectedItem['img'],
                'quantity' => 1,
                'total' => $selectedItem['price'],
            ];

            if (!isset($_SESSION['cart'])) {
                $_SESSION['cart'] = [];
            }

            $_SESSION['cart'][] = $itemDetails;
        }

        header('Location: /store/details.php?id=' . $id);
        exit();
    }
}
?>
